RemoteGymp · API v1
API referencia
Hozzáférés és viselkedés
A referenciapéldák sablonok. Cserélje ki a helyőrzőket, és ellenőrizze a végpont paramétereit, engedélyeit és sémáját, mielőtt futtatná őket. Bizonytalan írások esetén kövesse az adott végpont helyreállítási és újrapróbálkozási szabályait.
Egy vivőjogkivonatot és a végpont engedélyeit igényel. A hozzáférés az Ön hitelesítő adataira korlátozódik. Az eszköz vagy a felügyeleti műveletek használata előtt ellenőrizze a képességeket.
Keresési eredmények: 289
Nincs találat.
AI11
POSTMentett AI-műveletek olvasása/v1/assistant/actions
A mellékelt asszisztensi hatókör mentett műveleteinek olvasása.
POST /v1/assistant/actions ↗mcp.cap.AssistantRead
Sémák (OpenAPI)
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"kind": 0
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/actions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Read saved actions for the supplied assistant scope.",
"operationId": "post_v1_assistant_actions",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationHierarchyScope"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAssistantSavedAction"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read saved AI actions",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTAlkalmazzon AI-feladatot/v1/assistant/apply
Alkalmazzon támogatott munkát egy asszisztensi feladatból a szükséges jóváhagyások és megszorítások használatával.
POST /v1/assistant/apply ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute + mcp.cap.AssistantApply
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/apply' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Apply supported work from an assistant task using its required approvals and constraints.",
"operationId": "post_v1_assistant_apply",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Apply an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantApply"
]
}GETOlvassa el az AI emelt szintű műveletekre vonatkozó szabályzatot/v1/assistant/elevated-policy
A munka tervezése előtt ellenőrizze az emelt szintű asszisztensi műveletekre vonatkozó szabályzatot.
GET /v1/assistant/elevated-policy ↗mcp.cap.AssistantRead
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/elevated-policy' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Inspect the policy governing elevated assistant actions before planning work.",
"operationId": "get_v1_assistant_elevated_policy",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiAssistantPolicy"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read AI elevated-action policy",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTBecsüljön meg egy AI-feladat/v1/assistant/estimate
Mielőtt elkezdené, becsülje meg a javasolt asszisztensi feladatot.
POST /v1/assistant/estimate ↗mcp.cap.AssistantRead
Sémák (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"execute": false,
"recipients": [
"<value>"
],
"request": "<value>",
"scope": {
"kind": 0
},
"submissionKey": "<value>",
"timeZoneId": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/estimate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Estimate a proposed assistant task before starting it.",
"operationId": "post_v1_assistant_estimate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantEstimate"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Estimate an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTFuttasson AI-pilótát/v1/assistant/pilot
Futtassa az asszisztensi feladat kísérleti munkafolyamatát a szélesebb körű bevezetés előtt.
POST /v1/assistant/pilot ↗mcp.cap.AutomationExecute + mcp.cap.AssistantPilot
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"deviceId": "<UUID>",
"proposalId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/pilot' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Run the assistant task's pilot workflow before a broader rollout.",
"operationId": "post_v1_assistant_pilot",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationAssistantPilot"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run an AI pilot",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantPilot"
]
}GETMI-jelentések olvasása/v1/assistant/reports
Az asszisztensi feladatok által készített jelentések olvasása.
GET /v1/assistant/reports ↗mcp.cap.AssistantRead
Sémák (OpenAPI)
AutomationNotificationAudience
0 = None 1 = Owners 2 = Technicians 4 = Clients
AutomationNotificationChannel
0 = None 1 = InApp 2 = Email
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationScheduleKind
0 = Once 1 = Interval 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = Cron
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/reports' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Read reports produced by assistant tasks.",
"operationId": "get_v1_assistant_reports",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationReportScheduleView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read AI reports",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTPróbálkozzon újra egy AI pilottal/v1/assistant/retry-pilot
Kérje újra a segédpilóta próbálkozását a mellékelt feladatkörnyezet használatával.
POST /v1/assistant/retry-pilot ↗mcp.cap.AutomationExecute + mcp.cap.AssistantPilot
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/retry-pilot' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Request a retry of the assistant pilot using the supplied task context.",
"operationId": "post_v1_assistant_retry_pilot",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Retry an AI pilot",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantPilot"
]
}POSTIndítson el egy AI-feladatot/v1/assistant/start
Indítson el egy asszisztensi feladatot a mellékelt célokkal és utasításokkal.
POST /v1/assistant/start ↗mcp.cap.AssistantPropose
Sémák (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"acceptQuotedCharge": false,
"estimateToken": "<estimateToken>",
"request": {
"execute": false,
"recipients": [
"<value>"
],
"request": "<value>",
"scope": {
"kind": 0
},
"submissionKey": "<value>",
"timeZoneId": "<value>"
}
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/start' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Start an assistant task with the supplied targets and instructions.",
"operationId": "post_v1_assistant_start",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationAssistantStart"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Start an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantPropose"
]
}POSTVizsgálja meg az AI célkörnyezetét/v1/assistant/target-context
Olvassa el az asszisztensi feladat előkészítéséhez használt megengedett célkontextust.
POST /v1/assistant/target-context ↗mcp.cap.AssistantRead
Sémák (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"scope": {
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/target-context' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Read the permitted target context used to prepare an assistant task.",
"operationId": "post_v1_assistant_target_context",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAssistantTargets"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantTargetContext"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Inspect AI target context",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}GETAz AI-feladatok listája/v1/assistant/tasks
Böngésszen az AI-asszisztens feladatai között a hitelesítési adataiddal.
GET /v1/assistant/tasks ↗mcp.cap.AssistantRead
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/tasks' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Browse AI assistant tasks visible to your credential.",
"operationId": "get_v1_assistant_tasks",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAssistantHistoryItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List AI tasks",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}GETSzerezzen be egy AI-feladatot/v1/assistant/tasks/{id}
Olvassa el az egyik asszisztensi feladat állapotát és részleteit.
GET /v1/assistant/tasks/{id} ↗mcp.cap.AssistantRead
Sémák (OpenAPI)
AutomationNotificationAudience
0 = None 1 = Owners 2 = Technicians 4 = Clients
AutomationNotificationChannel
0 = None 1 = InApp 2 = Email
AutomationSimpleActionKind
0 = Script 1 = Notification 2 = RefreshFacts 3 = ControlService 4 = RestartDevice 5 = WindowsDiskCleanup 6 = LinuxMaintenance 7 = WakeDevice 8 = SendUserMessage 9 = UninstallSoftware
LinuxMaintenanceAction
0 = RefreshPackageInventory 1 = InstallPackageUpdates 2 = RefreshFirmwareMetadata 3 = InstallFirmwareUpdates 4 = InstallAllUpdates
AutomationOutcomeMatch
0 = Failure 1 = Success 2 = Always 3 = ResultMatches
AutomationNotificationSeverity
0 = Information 1 = Warning 2 = Critical 3 = Recovery
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
ServiceAction
0 = Start 1 = Stop 2 = Restart
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
AutomationTruthValue
0 = False 1 = True 2 = Unknown
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
paraméterek
id· útvonal · szükséges- A megfelelő erőforráslista vagy a létrehozás eredménye által visszaadott azonosító.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/tasks/<id>' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Read one assistant task's state and details.",
"operationId": "get_v1_assistant_tasks_id",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantResult"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}API5
POSTSzerezzen hozzáférési tokent/v1/auth/token
Cserélje ki API hitelesítő adatait egy rövid élettartamú hordozótokenre, amelyet későbbi kérések esetén használhat fel.
POST /v1/auth/token ↗Használja a Beállítások → API hozzáférés menüpontban létrehozott API hitelesítési adatokat. Ehhez a cseréhez nincs szükség hordozó tokenre.
password: Ez a JSON-mező tartalmazza az API-hitelesítési adatok titkát, nem pedig a fiók bejelentkezési jelszavát.
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
'Content-Type' = 'application/json'
}
$body = '{
"password": "<your-API-credential-secret>",
"username": "<your-API-credential-username>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/auth/token' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Exchange API username and credential password for an opaque bearer token valid for 1800 seconds. Network, paid entitlement and regional token-attempt limits apply.",
"operationId": "post_v1_auth_token",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TokenRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PublicApiTokenResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"summary": "Get an access token",
"tags": [
"API"
]
}GETEllenőrizze az elérhető funkciókat/v1/capabilities
Az integráció használata előtt tekintse meg a hitelesítő adataihoz elérhető szolgáltatásokat, engedélyeket és korlátokat.
GET /v1/capabilities ↗paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/capabilities' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "See the features, permissions and limits available to your credential before using an integration.",
"operationId": "get_v1_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CapabilitiesResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check available features",
"tags": [
"API"
],
"x-required-capabilities": []
}GETEllenőrizze a API hozzáférést/v1/health
Ellenőrizze, hogy hitelesítő adatai elérhetik-e és hitelesíthetők-e a API-vel.
GET /v1/health ↗paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/health' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Check that your credential can reach and authenticate with the API.",
"operationId": "get_v1_health",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/HealthResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check API access",
"tags": [
"API"
],
"x-required-capabilities": []
}GETEllenőrizze a telepítő opcióit/v1/management/installers/capabilities
Fedezze fel az ezen a gazdagépen elérhető telepítői lehetőségeket.
GET /v1/management/installers/capabilities ↗mcp.cap.EnrollmentRead
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/installers/capabilities' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Discover the installer capabilities available on this host.",
"operationId": "get_v1_management_installers_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiInstallerCapabilities"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check installer options",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRead"
]
}GETEllenőrizze a működési képességeket/v1/operations/capabilities
Fedezze fel az integrációs működési képességeket, mielőtt az eszközzel próbálkozna.
GET /v1/operations/capabilities ↗paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/operations/capabilities' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Discover integration operation capabilities before attempting device actions.",
"operationId": "get_v1_operations_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiOperationCapabilities"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check operation capabilities",
"tags": [
"Operations"
],
"x-required-capabilities": []
}automatizálás72
PUTMentés riasztási útvonal mentése/v1/automation/alert-routing
Szükség van FullAccess és a jelenlegi tulajdonosi engedélyre. Adj be egy idempotenciakulcsot, használd újra az azonos kérést bizonytalanság after, és ellenőrizd az üzemeltetési blokkát.
PUT /v1/automation/alert-routing ↗mcp.cap.AutomationManage + mcp.cap.AlertWrite
Sémák (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"expectedRevision": 1,
"id": "<UUID>",
"kind": 0,
"name": "<value>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/alert-routing' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_alert_routing",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfAutomationAlertRoutingInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AlertWrite"
]
}POSTValidáld a riasztási útvonalválasztási szabályt/v1/automation/alert-routing/validate
Olvasd el a jelenlegi bizonyítékokat. A hiányzó bizonyítékok ismeretlenek. Nem indul végpont akció vagy mesterséges intelligencia támadás.
POST /v1/automation/alert-routing/validate ↗mcp.cap.AutomationRead
Sémák (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"companyId": "<UUID>",
"expectedRevision": 1,
"id": "<UUID>",
"kind": 0,
"name": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/alert-routing/validate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_alert_routing_validate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAlertRoutingInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationValidation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Validate alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTNyugtázza a monitor riasztását/v1/automation/alerts/{id}/acknowledge
Nyugtázzon egy riasztást az automatizálási szolgáltatáson keresztül. Küldje el a idempotencyKey parancsot a kérés törzsében, és kövesse a visszaküldött műveleti nyugtát. Nem javítja ki a hibát.
POST /v1/automation/alerts/{id}/acknowledge ↗mcp.cap.AutomationManage
paraméterek
id· útvonal · szükséges- A megfelelő erőforráslista vagy a létrehozás eredménye által visszaadott azonosító.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/alerts/<id>/acknowledge' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Acknowledge an alert through the automation service. Send idempotencyKey in the request body and follow the returned operation receipt. It does not fix the fault.",
"operationId": "post_v1_automation_alerts_id_acknowledge",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Acknowledge a monitor alert",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage"
]
}GETLista figyelmeztető útválasztás/v1/automation/companies/{companyId}/alert-routing
Olvasd el a jelenlegi bizonyítékokat. A hiányzó bizonyítékok ismeretlenek. Nem indul végpont akció vagy mesterséges intelligencia támadás.
GET /v1/automation/companies/{companyId}/alert-routing ↗mcp.cap.AutomationRead
Sémák (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
paraméterek
companyId· útvonal · szükséges- Cégazonosító. A lekérdezési paraméter erre a vállalatra szűkíti az eredményeket; soha nem terjeszti ki a hitelesítő adatok körét.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/alert-routing' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_companies_companyId_alert_routing",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAlertRoutingInput"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTMentési javítások kizárása/v1/automation/companies/{companyId}/patch-exclusions
Szükség van FullAccess és a jelenlegi tulajdonosi engedélyre. Adj be egy idempotenciakulcsot, használd újra az azonos kérést bizonytalanság after, és ellenőrizd az üzemeltetési blokkát.
PUT /v1/automation/companies/{companyId}/patch-exclusions ↗mcp.cap.PatchingManage + mcp.cap.PatchingExecute
paraméterek
companyId· útvonal · szükséges- Cégazonosító. A lekérdezési paraméter erre a vállalatra szűkíti az eredményeket; soha nem terjeszti ki a hitelesítő adatok körét.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": [
"<UUID>"
]
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/patch-exclusions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_companies_companyId_patch_exclusions",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid[]"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save patch exclusions",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingManage",
"mcp.cap.PatchingExecute"
]
}GETListábék/v1/automation/companies/{companyId}/tags
Olvasd el a jelenlegi bizonyítékokat. A hiányzó bizonyítékok ismeretlenek. Nem indul végpont akció vagy mesterséges intelligencia támadás.
GET /v1/automation/companies/{companyId}/tags ↗mcp.cap.AutomationRead
paraméterek
companyId· útvonal · szükséges- Cégazonosító. A lekérdezési paraméter erre a vállalatra szűkíti az eredményeket; soha nem terjeszti ki a hitelesítő adatok körét.
after· lekérdezés · opcionális- Az előző válasz folytatása. Kihagyás az első oldalon; folytassa ugyanazokat a szűrőket.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/tags' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_companies_companyId_tags",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationTagPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}GETListázási konfigurációs szabályzatok/v1/automation/configuration-policies
Olvasd el a jelenlegi bizonyítékokat. A hiányzó bizonyítékok ismeretlenek. Nem indul végpont akció vagy mesterséges intelligencia támadás.
GET /v1/automation/configuration-policies ↗mcp.cap.AutomationRead
Sémák (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
AutomationState
0 = Draft 1 = Enabled 2 = Paused 3 = Archived
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_configuration_policies",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/ConfigurationBaselineListItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List configuration policies",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTKonfigurációs szabályzat létrehozása/v1/automation/configuration-policies
Szükség van FullAccess és a jelenlegi tulajdonosi engedélyre. Adj be egy idempotenciakulcsot, használd újra az azonos kérést bizonytalanság after, és ellenőrizd az üzemeltetési blokkát.
POST /v1/automation/configuration-policies ↗mcp.cap.AutomationManage + mcp.cap.SettingsManage
Sémák (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"description": "<value>",
"name": "<value>",
"policy": {
"control": 0
},
"schedule": {
"kind": 0
},
"scope": {
"kind": 0
}
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_configuration_policies",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfConfigurationBaselineInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create configuration policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.SettingsManage"
]
}POSTPreview konfigurációs szabályzat/v1/automation/configuration-policies/preview
Olvasd el a jelenlegi bizonyítékokat. A hiányzó bizonyítékok ismeretlenek. Nem indul végpont akció vagy mesterséges intelligencia támadás.
POST /v1/automation/configuration-policies/preview ↗mcp.cap.AutomationRead + mcp.cap.SecurityRead
Sémák (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"description": "<value>",
"name": "<value>",
"policy": {
"control": 0
},
"schedule": {
"kind": 0
},
"scope": {
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies/preview' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_configuration_policies_preview",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ConfigurationBaselineInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationSimpleScopePreview"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Preview configuration policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead",
"mcp.cap.SecurityRead"
]
}POSTTelepítsd Windows javítást/v1/automation/devices/{deviceId}/patch-install
Szükség van FullAccess és a jelenlegi tulajdonosi engedélyre. Adj be egy idempotenciakulcsot, használd újra az azonos kérést bizonytalanság after, és ellenőrizd az üzemeltetési blokkát.
POST /v1/automation/devices/{deviceId}/patch-install ↗mcp.cap.PatchingExecute
paraméterek
deviceId· útvonal · szükséges- A megfelelő eszközlista által visszaadott eszközazonosító. A felügyelt ügynökök és a felfedezett hálózati eszközök eltérő azonosítókkal rendelkeznek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"revisionNumber": 1,
"updateId": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/patch-install' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_devices_deviceId_patch_install",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfPatchUpdateIdentity"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Install Windows patch",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}GETSzerezz eszközcímkéket/v1/automation/devices/{deviceId}/tags
Olvasd el a jelenlegi bizonyítékokat. A hiányzó bizonyítékok ismeretlenek. Nem indul végpont akció vagy mesterséges intelligencia támadás.
GET /v1/automation/devices/{deviceId}/tags ↗mcp.cap.AutomationRead
paraméterek
deviceId· útvonal · szükséges- A megfelelő eszközlista által visszaadott eszközazonosító. A felügyelt ügynökök és a felfedezett hálózati eszközök eltérő azonosítókkal rendelkeznek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/tags' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_devices_deviceId_tags",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/IntegrationTagView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get device tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTEszközcímkék rendelése/v1/automation/devices/{deviceId}/tags
Szükség van FullAccess és a jelenlegi tulajdonosi engedélyre. Adj be egy idempotenciakulcsot, használd újra az azonos kérést bizonytalanság after, és ellenőrizd az üzemeltetési blokkát.
PUT /v1/automation/devices/{deviceId}/tags ↗mcp.cap.AutomationManage
paraméterek
deviceId· útvonal · szükséges- A megfelelő eszközlista által visszaadott eszközazonosító. A felügyelt ügynökök és a felfedezett hálózati eszközök eltérő azonosítókkal rendelkeznek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": [
"<UUID>"
]
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/tags' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_devices_deviceId_tags",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid[]"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Assign device tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage"
]
}POSTReset Windows frissítés/v1/automation/devices/{deviceId}/update-reset
Szükség van FullAccess és a jelenlegi tulajdonosi engedélyre. Adj be egy idempotenciakulcsot, használd újra az azonos kérést bizonytalanság after, és ellenőrizd az üzemeltetési blokkát.
POST /v1/automation/devices/{deviceId}/update-reset ↗mcp.cap.PatchingExecute
paraméterek
deviceId· útvonal · szükséges- A megfelelő eszközlista által visszaadott eszközazonosító. A felügyelt ügynökök és a felfedezett hálózati eszközök eltérő azonosítókkal rendelkeznek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/update-reset' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_devices_deviceId_update_reset",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Reset Windows update",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}POSTFuttasson javítási házirendet/v1/automation/devices/{id}/patch-runs
Kérjen javítási szabályzat futtatását a kiválasztott engedélyezett eszközön.
POST /v1/automation/devices/{id}/patch-runs ↗mcp.cap.PatchingExecute
paraméterek
id· útvonal · szükséges- A megfelelő erőforráslista vagy a létrehozás eredménye által visszaadott azonosító.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<id>/patch-runs' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Request a patch-policy run on the selected authorised device.",
"operationId": "post_v1_automation_devices_id_patch_runs",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run a patch policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}GETOlvassa el az eszköz javítási szabályzatának állapotát/v1/automation/devices/{id}/patch-status
Olvassa el az eszköz javítási szabályzatának állapotát és a jelentett javítási információkat.
GET /v1/automation/devices/{id}/patch-status ↗mcp.cap.PatchingRead
Sémák (OpenAPI)
PatchRebootBehavior
0 = Unknown 1 = Never 2 = Always 3 = CanRequest
PatchSeverity
0 = Unknown 1 = Low 2 = Moderate 3 = Important 4 = Critical
PatchUpdateType
0 = Unknown 1 = Software 2 = Driver
PatchComplianceState
0 = Unknown 1 = Compliant 2 = MissingUpdates 3 = ScanFailed 4 = Unsupported
paraméterek
id· útvonal · szükséges- A megfelelő erőforráslista vagy a létrehozás eredménye által visszaadott azonosító.
offset· lekérdezés · opcionális- Az átugorandó elemek száma nullától kezdve. Ha rendelkezésre áll, használja tovább a végpont által visszaadott eltolást.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<id>/patch-status' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Read the device's patch-policy status and reported patching information.",
"operationId": "get_v1_automation_devices_id_patch_status",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DevicePatchStatusView"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read device patch-policy status",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingRead"
]
}POSTCserélje ki a vészleállítót/v1/automation/emergency-stop
Állítsa be az automatika vészleállítási állapotát. Ellenőrizze az eredményt, mielőtt feltételezné, hogy az aktív munka leállt.
POST /v1/automation/emergency-stop ↗mcp.cap.AutomationStop
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/emergency-stop' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Set the automation emergency-stop state. Inspect the result before assuming active work has stopped.",
"operationId": "post_v1_automation_emergency_stop",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Change the emergency stop",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationStop"
]
}GETIntelligens csoportok listázása/v1/automation/groups
Böngésszen az automatizálási eszközcsoportok és definícióik között.
GET /v1/automation/groups ↗mcp.cap.AutomationRead
Sémák (OpenAPI)
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationFactValueType
0 = String 1 = Boolean 2 = Integer 3 = Number 4 = Timestamp 5 = Duration 6 = Guid 7 = Collection 8 = Object
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/groups' `
-Headers $headersKérelem és válasz séma (OpenAPI)
{
"description": "Browse automation device groups and their definitions.",
"operationId": "get_v1_automation_groups",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiGroupsWorkspace"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List smart groups",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTIntelligens csoport létrehozása/v1/automation/groups
Hozzon létre egy automatizálási csoportot a mellékelt kiválasztási szabályok segítségével.
POST /v1/automation/groups ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute
Sémák (OpenAPI)
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"condition": {
"kind": 0
},
"name": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/groups' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Create an automation group using the supplied selection rules.",
"operationId": "post_v1_automation_groups",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationGroupDefinition"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create a smart group",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute"
]
}POSTIntelligens csoport törlése/v1/automation/groups/delete
Távolítsa el a kiválasztott automatizálási csoportot.
POST /v1/automation/groups/delete ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute
paraméterek
Nincsenek elérési, lekérdezési vagy fejléc paraméterek.
Példakérelem
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"expectedVersionId": "<UUID>",
"id": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/groups/delete' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Kérelem és válasz séma (OpenAPI)
{
"description": "Remove the selected automation group.",
"operationId": "post_v1_automation_groups_delete",
"requestBody": {
"content": {
"application/json": {
"schema": {
[...]
